- name: utils (command line)
  pacman:
    name:
      - fzf
      - rsync
      - jq
      - ffmpeg
      - eza
      - htop
      - cryptsetup
      - wireguard-tools
      - net-tools
      - wget
      - ripgrep

- name: drivers & demons & low level tools
  pacman:
    name:
      - openresolv  # resolv.conf management framework (resolvconf) Optional For: dhcpcd  networkmanager  wireguard-tools
      - android-file-transfer
      - openssh
      - ntfs-3g
      - make
      - msr-tools
      - ctags

- name: gui apps
  pacman:
    name:
      - transmission-gtk
      - atril  # reader
      - zathura # reader
      - pcmanfm  # file manager
      - mpv
      - telegram-desktop
      - drawing
      - gnome-sound-recorder
      - cherrytree
      # - brave
      - firefox
      - libreoffice-still
      - virt-manager
      - steam
      - nsxiv

- name: for archiver
  pacman:
    name:
      - p7zip
      - unzip
      - pigz

- name: for programming
  pacman:
    name:
      - go
      - vim
      - alacritty
      - kitty
      - tmux
      - git
      - git-delta
      - emacs
      - dbeaver
      - docker
      - docker-compose
      - python-virtualenv

- name: install system packages
  package:
    name:
      - ntfs-3g
      - make
      - msr-tools
      - ctags
      - udisks2  # for auto mount

- name: install fonts & icons
  package:
    name:
      - papirus-icon-theme
      - noto-fonts      # for all language
      - noto-fonts-cjk  # for all language
      - ttf-fira-code
      - ttf-firacode-nerd
      - ttf-font-awesome
      - ttf-hanazono
      - ttf-iosevka-nerd
      - ttf-jetbrains-mono-nerd
      - ttf-liberation
      - ttf-opensans
      - ttf-ubuntu-mono-nerd
      - ttf-cascadia-code-nerd
